# hy-menu-item

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute               | Description | Type      | Default |
| --------------------- | ----------------------- | ----------- | --------- | ------- |
| `ariaExpanded`        | `aria-expanded`         |             | `boolean` | `false` |
| `depth`               | `depth`                 |             | `number`  | `0`     |
| `hasChildren`         | `has-children`          |             | `boolean` | `null`  |
| `inActiveTrail`       | `in-active-trail`       |             | `boolean` | `false` |
| `isActive`            | `is-active`             |             | `boolean` | `false` |
| `isHeading`           | `is-heading`            |             | `boolean` | `false` |
| `label`               | `label`                 |             | `string`  | `''`    |
| `menuItemAlternative` | `menu-item-alternative` |             | `boolean` | `false` |
| `menuLinkId`          | `menu-link-id`          |             | `string`  | `''`    |
| `menuType`            | `menu-type`             |             | `string`  | `''`    |
| `parentAsHeading`     | `parent-as-heading`     |             | `string`  | `''`    |
| `parentExpanded`      | `parent-expanded`       |             | `boolean` | `false` |
| `url`                 | `url`                   |             | `string`  | `''`    |

## Events

| Event                      | Description | Type               |
| -------------------------- | ----------- | ------------------ |
| `addBreadcrumb`            |             | `CustomEvent<any>` |
| `menuContainerActiveTrail` |             | `CustomEvent<any>` |
| `menuContainerToggled`     |             | `CustomEvent<any>` |
| `routeClicked`             |             | `CustomEvent<any>` |

## Dependencies

### Used by

- [hy-menu-level-container](../menu-level-container)

### Depends on

- [hy-icon](../../icon)

### Graph

```mermaid
graph TD;
  hy-menu-item --> hy-icon
  hy-menu-level-container --> hy-menu-item
  style hy-menu-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
